Error seen while installing Metasploit 4.3 using Windows 7

Asked By 10 points N/A Posted on -
qa-featured

Hi everybody,

I'm using Windows 7 with Service pack 1 OS.

The language I am using is English(US) and the installer I am using is Metasploit 4.3.

When I am about 10% into the install, I get this error.

Error

There has been an error.
Error running C:metasploit/postgresql/bin/psql.exe -U postgres -p
7337 -h localhost -c "ALTER USER postgres PASSWORD '****'" : psql:
could not connect to server: Connection refused (0x0000274D/10061)
Is the server running on host "localhost" (::1) and accepting
TCP/IP connections on port 7337?
could not connect to server: Connection refused (0x0000274D/10061)
Is the server running on host "localhost" (127.0.0.1) and
accepting
TCP/IP connections on port 7337?
The application will exit now.
                                                                                            OK
 

Any ideas as to what I can do to sort this out?

Please help me.

Thanks.

SHARE
Answered By 0 points N/A #153607

Error seen while installing Metasploit 4.3 using Windows 7

qa-featured

Hello Ferrari,

If you can have access to the log file then it will be easier to find an idea of what the possible cause of the problem may be. But from the error message posted above, it is possible that the error is occurring because of one of the following reasons:

  • You are not installing with Administrator privileges. Therefore you will need to logout and login with an administrator account.
  • The port the application needs to use on local host is already in use by another application. Therefore you will need to change the port Metasploit 4.3 is going to use on your system.

Regards,

Carl

 

Login/Register to Answer

Related Questions